Holger's Java API

## com.antelmann.cddb
Class CompositionDB

    java.lang.Object
      com.antelmann.cddb.CompositionDB

All Implemented Interfaces:
  Serializable

    public class CompositionDB

extends Object
implements Serializable

a serializable database for compositions

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`CompositionDB()`
`CompositionDB(Set<Composition> compositions)`

Method Summary
`Composition` `createGlobalComposition(String title)` creates and returns a composition that includes all compositions that are in this database as children.
`Set<Composition>` `getCompositions()` returns the modifiable embedded set that backs up this instance.
`Set<Resource>` `getResources(Role role)`
`Set<Composition>` `getView(Filter<Composition> filter)` returns an unmodifiable view of the embedded compositions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositionDB

    public CompositionDB()

### CompositionDB

    public CompositionDB(Set<Composition> compositions)

Method Detail

### getCompositions

    public Set<Composition> getCompositions()

  returns the modifiable embedded set that backs up this instance. subsequent operations on the returned value should be synchronized.

### getResources

    public Set<Resource> getResources(Role role)

### createGlobalComposition

    public Composition createGlobalComposition(String title)

  creates and returns a composition that includes all compositions that are in this database as children.

### getView

    public Set<Composition> getView(Filter<Composition> filter)

  returns an unmodifiable view of the embedded compositions

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads